package com.cloudcross.ssp.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cloudcross.ssp.model.OperatorReport;
import com.cloudcross.ssp.base.dao.GenericIBatisDao;
import com.cloudcross.ssp.common.utils.Pager;
import com.cloudcross.ssp.service.IOperatorReportService;




@Service("back.operatorReportService")
public class OperatorReportService implements IOperatorReportService {
	@Autowired
	private GenericIBatisDao iBatisDao;
	
	@Override
	public int findCountForDeliverEffectAnalysis(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.findCountForDeliverEffectAnalysis", paramMap);
	}
	
	@Override
	public List<OperatorReport> findDeliverEffectAnalysis(Map<String, Object> paramMap, Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findDeliverEffectAnalysis", paramMap);
	}
	
	@Override
	public int countBySize(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.countBySize", paramMap);
	}
	
	@Override
	public List<OperatorReport> findBySize(Map<String, Object> paramMap, Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findBySize", paramMap);
	}

	@Override
	public int countByPosition(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.countByPosition", paramMap);
	}
	
	@Override
	public List<OperatorReport> findByPosition(Map<String, Object> paramMap, Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findByPosition", paramMap);
	}
	@Override
	public int countBySystem(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.countBySystem", paramMap);
	}
	
	@Override
	public List<OperatorReport> findBySystem(Map<String, Object> paramMap, Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findBySystem", paramMap);
	}
	
	@Override
	public int countByPlace(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.countByPlace", paramMap);
	}
	
	@Override
	public List<OperatorReport> findByPlace(Map<String, Object> paramMap, Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findByPlace", paramMap);
	}

	@Override
	public OperatorReport findById(Long id) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public int countByParams(Map<String, Object> paramMap) {
		// TODO Auto-generated method stub
		return 0;
	}

	@Override
	public List<OperatorReport> findByParams(Map<String, Object> paramMap,
			Pager pager) {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public boolean add(OperatorReport t) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public boolean edit(OperatorReport t) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public boolean updateStatus(List<Long> idList, int status) {
		// TODO Auto-generated method stub
		return false;
	}

	@Override
	public List<OperatorReport> findDeliverEffectAnalysis(
			Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findDeliverEffectAnalysis1", paramMap);
	}

	@Override
	public List<OperatorReport> findBySize(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findBySize1", paramMap);
	}

	@Override
	public List<OperatorReport> findByPosition(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findByPosition1", paramMap);
	}

	@Override
	public List<OperatorReport> findBySystem(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findBySystem1", paramMap);
	}

	@Override
	public List<OperatorReport> findByDevice(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findByDevice", paramMap);
	}


	@Override
	public List<OperatorReport> findByPlace(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findByPlace1", paramMap);
	}

	@Override
	public OperatorReport findSum(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.findSum", paramMap);
	}

	@Override
	public int countByAllAreal(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.countByAllAreal", paramMap);
	}

	@Override
	public List<OperatorReport> findByAllAreal(Map<String, Object> paramMap,
			Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findByAllAreal", paramMap);
	}

	@Override
	public List<OperatorReport> findByAreal(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findByAreal", paramMap);
	}


	@Override
	public List<OperatorReport> findAllArea(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findAllArea", paramMap);
	}

	@Override
	public int countByApmac(Map<String, Object> paramMap) {
		return iBatisDao.get("operatorReportSqlMapper.countByApmac", paramMap);
	}

	@Override
	public List<OperatorReport> findByApmac(Map<String, Object> paramMap,
			Pager pager) {
		paramMap.put("pager", pager);
		return iBatisDao.getList("operatorReportSqlMapper.findByApmac", paramMap);
	}

	@Override
	public List<OperatorReport> findByApmac(Map<String, Object> paramMap) {
		return iBatisDao.getList("operatorReportSqlMapper.findByApmac1", paramMap);
	}
	
	

	
	
}
